> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Custom Sound > - Returns one custom sound record for the workspace. You must pass the sound’s `_id` as a query parameter. - Authentication is required. The response includes the sound’s metadata (`name`, `extension`, `_updatedAt`), not the binary file. ### Changelog | Version | Description | | ------- | ----------- | | 8.3.0 | Added | ## OpenAPI ````json GET /api/v1/custom-sounds.getOne { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Content Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Assets" }, { "name": "Custom Emoji" }, { "name": "Custom Sounds" }, { "name": "Custom User Status" } ], "paths": { "/api/v1/custom-sounds.getOne": { "get": { "summary": "Get Custom Sound", "tags": [ "Custom Sounds" ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "sound": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "extension": { "type": "string" }, "_updatedAt": { "type": "string" } } } } }, "examples": { "Request succeeded; returns the sound metadata.": { "value": { "success": "true", "sound": { "_id": "65462caea2f73c7460e18f83", "name": "doremi", "extension": "mp3", "_updatedAt": "2023-11-04T11:36:14.171Z" } } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Invalid or missing _id": { "value": { "success": "false", "error": "[The required \"_id\" query param is missing.]", "errorType": "The required \"_id\" query param is missing." } } } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Sound not found": { "value": { "success": "false", "error": "Custom Sound not found." } } } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Unauthorized login attempt": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "No permission": { "value": { "success": "false", "error": "User does not have the permissions required for this action [error-unauthorized]" } } } } } } }, "operationId": "get-api-v1-custom-sounds.getOne", "description": "- Returns one custom sound record for the workspace. You must pass the sound’s `_id` as a query parameter.\n\n- Authentication is required. The response includes the sound’s metadata (`name`, `extension`, `_updatedAt`), not the binary file.\n\n### Changelog\n\n| Version | Description |\n| ------- | ----------- |\n| 8.3.0 | Added |", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "schema": { "type": "string" }, "in": "query", "name": "_id", "required": "true", "description": "ID of the custom sound", "example": "65462caea2f73c7460e18f83" } ] } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````